Section categorycombo variable not resolved

Bug #706216 reported by Jo Størset on 2011-01-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
DHIS
High
Unassigned

Bug Description

running 2715, on reasonably clean demo database.

Category combinations in section edit screen is shown as "$categoryCombo.name"

The same is true of dhis.uio.no/demo

Jo Størset (storset) on 2011-01-22
description: updated
Jo Størset (storset) wrote :

Turns out this is because, even though you have to choose a catcombo to create a section, the catcombo is never stored and we rely on the contained dataelemts to supply this information.. That doesn't work out when you don't have any...

More serious, when no data element is in a section, you are allowed to add dataelements with *different* catcombos to a section...

In addition to this, getting the info box also leads to an error trying to iterate over nonexisting dataelements to get the catcombo, for empty sections.

All in all I don't think it is a good idea to not explicitly store the catcombo for sections. But that might be a bigger change than we want just now?

Changed in dhis2:
milestone: none → 2.0.6
importance: Undecided → High

On 22 January 2011 18:29, Jo Størset <email address hidden> wrote:
> Turns out this is because, even though you have to choose a catcombo to
> create a section, the catcombo is never stored and we rely on the
> contained dataelemts to supply this information.. That doesn't work out
> when you don't have any...
>
> More serious, when no data element is in a section, you are allowed to
> add dataelements with *different* catcombos to a section...
>
> In addition to this, getting the info box also leads to an error trying
> to iterate over nonexisting dataelements to get the catcombo, for empty
> sections.
>
> All in all I don't think it is a good idea to not explicitly store the
> catcombo for sections.

Totally agree. Hadn't realized we are not doing that. (Looking
further to the future I would say that the catcombo should *only* be
an attribute of the section and *not* of the dataelement but that's
another discussion we must still have post-release).

>But that might be a bigger change than we want
> just now?

I don't know. I've not looked at that section of code too much to
know what is involved. Have you? Addition of categorycombo to
Section api, model, service methods etc. And (hopefully) minor mods
to web modules to respect the categorycombo. My guess is that if Lars
is going to be able to release tonight, then this might be too much.
But if there are other things holding it up, it would be worth fixing.

Bob.

>
> ** Changed in: dhis2
>    Milestone: None => 2.0.6
>
> ** Changed in: dhis2
>   Importance: Undecided => High
>
> --
> You received this bug notification because you are a member of DHIS 2
> coordinators, which is the registrant for DHIS.
> https://bugs.launchpad.net/bugs/706216
>
> Title:
>  Section categorycombo variable not resolved
>
> Status in DHIS 2 - District Health Information Software:
>  New
>
> Bug description:
>  running 2715, on reasonably clean demo database.
>
>  Category combinations in section edit screen is shown as
>  "$categoryCombo.name"
>
>  The same is true of dhis.uio.no/demo
>
>
>

On Sun, Jan 23, 2011 at 12:14 AM, Bob Jolliffe <email address hidden>wrote:

> On 22 January 2011 18:29, Jo Størset <email address hidden> wrote:
> > Turns out this is because, even though you have to choose a catcombo to
> > create a section, the catcombo is never stored and we rely on the
> > contained dataelemts to supply this information.. That doesn't work out
> > when you don't have any...
> >
> > More serious, when no data element is in a section, you are allowed to
> > add dataelements with *different* catcombos to a section...
> >
> > In addition to this, getting the info box also leads to an error trying
> > to iterate over nonexisting dataelements to get the catcombo, for empty
> > sections.
> >
> > All in all I don't think it is a good idea to not explicitly store the
> > catcombo for sections.
>
> Totally agree. Hadn't realized we are not doing that. (Looking
> further to the future I would say that the catcombo should *only* be
> an attribute of the section and *not* of the dataelement but that's
> another discussion we must still have post-release).
>
> >But that might be a bigger change than we want
> > just now?
>
> I don't know. I've not looked at that section of code too much to
> know what is involved. Have you? Addition of categorycombo to
> Section api, model, service methods etc. And (hopefully) minor mods
> to web modules to respect the categorycombo. My guess is that if Lars
> is going to be able to release tonight, then this might be too much.
> But if there are other things holding it up, it would be worth fixing.
>
>
It is too much :)

Fixed the cosmetic part of the problem.

Changed in dhis2:
status: New → Incomplete
status: Incomplete → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers